CGAL 6.2 - CGAL and Boost Property Maps: CGAL::Cartesian_converter_property_map< GeomObject, Vpm > Struct Template Reference

CGAL 6.2 - CGAL and Boost Property Maps

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions | Public Attributes | Friends | Related Functions
CGAL::Cartesian_converter_property_map< GeomObject, Vpm > Struct Template Reference
Reference Manual

`#include <CGAL/property_map.h>`

## Definition

template<class GeomObject, class Vpm>
struct CGAL::Cartesian_converter_property_map< GeomObject, Vpm >

Read-write property map doing on-the-fly conversions between two default constructible CGAL Cartesian kernels.

Its value type is `GeomObject` and its key type is the same as `Vpm`. `GeomObject` must be a geometric object from a CGAL kernel. `Vpm` is a model `of ReadWritePropertyMap` and its value type must be a geometric object of the same type as `GeomObject` but possibly from another kernel. Conversions between the two geometric objects are done using `Cartesian_converter`.

Is model of
  `ReadWritePropertyMap`

## Public Types
typedef boost::property_traits< Vpm >::key_type | key_type
typedef GeomObject | value_type
typedef value_type | reference
typedef boost::read_write_property_map_tag | category
typedef Kernel_traits< GeomObject >::type | K2
typedef Kernel_traits< typenameboost::property_traits< Vpm >::value_type >::type | K1

## Public Member Functions
| Cartesian_converter_property_map (Vpm vpm)

## Public Attributes
Vpm | vpm

## Friends
value_type | get (const Cartesian_converter_property_map< GeomObject, Vpm > &pm, const key_type &k)
void | put (Cartesian_converter_property_map< GeomObject, Vpm > &pm, const key_type &k, const value_type &v)

## Related Functions
(Note that these are not member functions.)
template<class GeomObject , class Vpm >
Cartesian_converter_property_map< GeomObject, Vpm > | make_cartesian_converter_property_map (Vpm vpm)
| returns `Cartesian_converter_property_map<GeomObject, Vpm>(vpm)`